# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetTablesReq

Packages that use TGetTablesReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetTablesReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetTablesReq
Modifier and Type
Class
Description
`class`
`TGetTablesReq`
`class`
`TGetTablesReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetTablesReq
Modifier and Type
Field
Description
`TGetTablesReq`
TCLIService.GetTables_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetTablesReq
Modifier and Type
Method
Description
`TGetTablesReq`
TGetTablesReq.`deepCopy()`
`TGetTablesReq`
TCLIService.GetTables_args.`getReq()`
`TGetTablesReq`
TGetTablesReq.`setCatalogName(String catalogName)`
`TGetTablesReq`
TGetTablesReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetTablesReq`
TGetTablesReq.`setRunAsync(boolean runAsync)`
`TGetTablesReq`
TGetTablesReq.`setSchemaName(String schemaName)`
`TGetTablesReq`
TGetTablesReq.`setSessionHandle(TSessionHandle sessionHandle)`
`TGetTablesReq`
TGetTablesReq.`setTableName(String tableName)`
`TGetTablesReq`
TGetTablesReq.`setTableTypes(List<String> tableTypes)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetTablesReq
Modifier and Type
Method
Description
`int`
TGetTablesReq.`compareTo(TGetTablesReq other)`
`boolean`
TGetTablesReq.`equals(TGetTablesReq that)`
`void`
TCLIService.AsyncClient.`GetTables(TGetTablesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTablesResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetTables(TGetTablesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTablesResp> resultHandler)`
`TGetTablesResp`
TCLIService.Client.`GetTables(TGetTablesReq req)`
`TGetTablesResp`
TCLIService.Iface.`GetTables(TGetTablesReq req)`
`void`
TCLIService.Client.`send_GetTables(TGetTablesReq req)`
`TCLIService.GetTables_args`
TCLIService.GetTables_args.`setReq(TGetTablesReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetTablesReq
Modifier
Constructor
Description
``
`GetTables_args(TGetTablesReq req)`
``
`GetTables_call(TGetTablesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTablesResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TGetTablesReq(TGetTablesReq other)`
Performs a deep copy on other.